Bigquery connection test failed: '<' not supported between instances of 'int' and 'str'

I installed the V8 redash on a Centos 7 server. when I tried to create data source with bigquery.
I always got “connection test failed:’<’ not supported between instances of ‘int’ and ‘str’”,
I totally followed the instruction of create service account and generate the key file.
the same configuration work totally well on another V7 instance which is going to be stoped.

please help to check what happened.
on docker logs of server, there are something maybe related:
Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/googleapiclient/discovery_cache/ init .py”, line 36, in autodetect
from google.appengine.api import memcache
ModuleNotFoundError: No module named ‘google.appengine’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/googleapiclient/discovery_cache/file_cache.py”, line 33, in
from oauth2client.contrib.locked_file import LockedFile
ModuleNotFoundError: No module named ‘oauth2client.contrib.locked_file’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/googleapiclient/discovery_cache/file_cache.py”, line 37, in
from oauth2client.locked_file import LockedFile
ModuleNotFoundError: No module named ‘oauth2client.locked_file’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/site-packages/googleapiclient/discovery_cache/ init .py”, line 41, in autodetect
from . import file_cache
File “/usr/local/lib/python3.7/site-packages/googleapiclient/discovery_cache/file_cache.py”, line 41, in
‘file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth’)
ImportError: file_cache is unavailable when using oauth2client >= 4.0.0 or google-auth

Copying my message from the GitHub issue for the same:

From the details in your issue it doesn’t look like a bug but a setup issue: the v8 codebase is Python 2 only. The master branch is Python 3, but isn’t fully tested yet. Actually, the same issue still exists there, but there is an open PR to fix it.

thank you for the reply, and thank you for the work!
Do I need to install python 2?

I just created another instance on a brandy new linode server, same error happened.
can’t connect to bigquery. exactly same message showed.
the python verison is 2.7

Can you elaborate on the steps you take to setup Redash?

I just followed the instruction on
https://redash.io/help/open-source/dev-guide/docker

I created a new instance on linode with 4G memory, then everything on the instruction,
last step is
npm run start

Which branch did you run this from? master?

And last question : are you planning to use this instance for development of Redash or just usage?

I used master, shall I use 8.0.0?
no plan for development now, just usage.

thank you for the reply

Yes. master is the Python 3 codebase which has various issues like the one you stumbled at. In your original message you said you installed v8, so that’s what confused me.

If you don’t plan on using it for development, I recommend using the non development guide:
https://redash.io/help/open-source/setup

This is using a setup which is geared towards regular usage along with ready built stable Docker images.

Thank you Arik,
I have managed to use the setup script and docker image to create an instance,

now I’m going to migrate old database.

thank you for the reply, I always recommend redash to all my friends.